# $Revision: 1.21 $, $Date: 2011/07/31 14:35:44 $
%define		status		stable
%define		pearname	XML_RPC2
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - XML-RPC client/server library
Summary(pl.UTF-8):	%{pearname} - biblioteka XML-RPC typu klient-serwer
Name:		php-pear-%{pearname}
Version:	1.1.1
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	40fb170ef74008c522df3ab809ce7abc
URL:		http://pear.php.net/package/XML_RPC2/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-common >= 3:5.0.0
Requires:	php-curl
Requires:	php-pear
Requires:	php-pear-Cache_Lite >= 1.6.0
Requires:	php-pear-HTTP_Request2 >= 0.6.0
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
Obsoletes:	php-pear-XML_RPC2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_RPC2 is a pear package providing XML_RPC client and server
services.

XML-RPC is a simple remote procedure call protocol built using HTTP as
transport and XML as encoding.

As a client library, XML_RPC2 is capable of creating a proxy class
which exposes the methods exported by the server. As a server library,
XML_RPC2 is capable of exposing methods from a class or object
instance, seamlessly exporting local methods as remotely callable
procedures.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
XML_RPC2 to pakiet pear dostarczający usług typu klient-serwer.

XML-RPC to prosty protokół zdalnego wykonywania procedur (Remote
Procedure Call, RPC) stworzony przy użyciu HTTP jako transportu i XML
jako nośnika danych.

Jako biblioteka kliencka, XML_RPC2 potrafi stworzyć klasę
pośredniczącą która ujawni metody eksportowane przez serwer. Jako
biblioteka serwera, XML_RPC2 może eksportować lokalne metody do
zdalnie wykonywanych procedur.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

# package dev tools
rm .%{php_pear_dir}/data/XML_RPC2/Makefile
# junk
rm .%{php_pear_dir}/data/XML_RPC2/run-tests.log

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/RPC2

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_RPC2.spec,v $
Revision 1.21  2011/07/31 14:35:44  glen
- up to 1.1.1

Revision 1.20  2011/02/27 11:40:39  glen
- up to 1.0.8

Revision 1.19  2011/01/23 01:22:36  sparky
- tests are no longer installed - don't try to remove them

Revision 1.18  2010/10/11 13:02:33  glen
- up to 1.0.6

Revision 1.17  2010/08/21 19:08:42  glen
- updated deps with pearize.sh
- release 2

Revision 1.16  2008/09/12 14:57:10  adamg
- updated to 1.0.5

Revision 1.15  2008-01-31 12:16:12  glen
- rel 2

Revision 1.14  2007-08-22 20:29:08  adamg
- updated to 1.0.2

Revision 1.13  2007/07/05 21:45:37  glen
- updated to 1.0.1

Revision 1.12  2007/03/01 00:00:24  glen
- 1.0.0-stable

Revision 1.11  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.9  2006/12/26 13:11:32  adamg
- updated to 0.0.8

Revision 1.8  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.7  2006/04/02 13:48:07  glen
- AutoProv: no for -tests

Revision 1.6  2006/04/02 12:01:29  glen
- 0.0.7

Revision 1.5  2006/03/29 22:21:05  glen
- rel 2 (rebuild with less deps)

Revision 1.4  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.3  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.2  2005/12/15 21:35:50  qboosh
- define Epoch to 0 explicitly when using it
- sorted Rs

Revision 1.1  2005/12/10 16:10:15  adamg
- new
